IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
ff02:c000::/20- First address
ff02:c000::- Last address
ff02:cfff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
ff02:c000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
c.2.0.f.f.ip6.arpa
Split into smaller subnets
ff02:c000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff02:c000::/28 | ff02:c00f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff02:c010::/28 | ff02:c01f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff02:c020::/28 | ff02:c02f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff02:c030::/28 | ff02:c03f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff02:c040::/28 | ff02:c04f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff02:c050::/28 | ff02:c05f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff02:c060::/28 | ff02:c06f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff02:c070::/28 | ff02:c07f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff02:c080::/28 | ff02:c08f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff02:c090::/28 | ff02:c09f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff02:c0a0::/28 | ff02:c0af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff02:c0b0::/28 | ff02:c0bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff02:c0c0::/28 | ff02:c0cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff02:c0d0::/28 | ff02:c0df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff02:c0e0::/28 | ff02:c0ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff02:c0f0::/28 | ff02:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff02:c100::/28 | ff02:c10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff02:c110::/28 | ff02:c11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff02:c120::/28 | ff02:c12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff02:c130::/28 | ff02:c13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff02:c140::/28 | ff02:c14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff02:c150::/28 | ff02:c15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff02:c160::/28 | ff02:c16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff02:c170::/28 | ff02:c17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff02:c180::/28 | ff02:c18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff02:c190::/28 | ff02:c19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff02:c1a0::/28 | ff02:c1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff02:c1b0::/28 | ff02:c1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff02:c1c0::/28 | ff02:c1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff02:c1d0::/28 | ff02:c1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff02:c1e0::/28 | ff02:c1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff02:c1f0::/28 | ff02:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff02:c200::/28 | ff02:c20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff02:c210::/28 | ff02:c21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff02:c220::/28 | ff02:c22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff02:c230::/28 | ff02:c23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff02:c240::/28 | ff02:c24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff02:c250::/28 | ff02:c25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff02:c260::/28 | ff02:c26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff02:c270::/28 | ff02:c27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff02:c280::/28 | ff02:c28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff02:c290::/28 | ff02:c29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff02:c2a0::/28 | ff02:c2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff02:c2b0::/28 | ff02:c2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff02:c2c0::/28 | ff02:c2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff02:c2d0::/28 | ff02:c2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff02:c2e0::/28 | ff02:c2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff02:c2f0::/28 | ff02:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff02:c300::/28 | ff02:c30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff02:c310::/28 | ff02:c31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff02:c320::/28 | ff02:c32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff02:c330::/28 | ff02:c33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff02:c340::/28 | ff02:c34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff02:c350::/28 | ff02:c35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff02:c360::/28 | ff02:c36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff02:c370::/28 | ff02:c37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff02:c380::/28 | ff02:c38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff02:c390::/28 | ff02:c39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff02:c3a0::/28 | ff02:c3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff02:c3b0::/28 | ff02:c3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff02:c3c0::/28 | ff02:c3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff02:c3d0::/28 | ff02:c3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff02:c3e0::/28 | ff02:c3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff02:c3f0::/28 | ff02:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff02:c400::/28 | ff02:c40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff02:c410::/28 | ff02:c41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff02:c420::/28 | ff02:c42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff02:c430::/28 | ff02:c43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff02:c440::/28 | ff02:c44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff02:c450::/28 | ff02:c45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff02:c460::/28 | ff02:c46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff02:c470::/28 | ff02:c47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff02:c480::/28 | ff02:c48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff02:c490::/28 | ff02:c49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff02:c4a0::/28 | ff02:c4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff02:c4b0::/28 | ff02:c4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff02:c4c0::/28 | ff02:c4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff02:c4d0::/28 | ff02:c4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff02:c4e0::/28 | ff02:c4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff02:c4f0::/28 | ff02:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff02:c500::/28 | ff02:c50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff02:c510::/28 | ff02:c51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff02:c520::/28 | ff02:c52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff02:c530::/28 | ff02:c53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff02:c540::/28 | ff02:c54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff02:c550::/28 | ff02:c55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff02:c560::/28 | ff02:c56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff02:c570::/28 | ff02:c57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff02:c580::/28 | ff02:c58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff02:c590::/28 | ff02:c59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff02:c5a0::/28 | ff02:c5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff02:c5b0::/28 | ff02:c5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff02:c5c0::/28 | ff02:c5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff02:c5d0::/28 | ff02:c5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff02:c5e0::/28 | ff02:c5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff02:c5f0::/28 | ff02:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff02:c600::/28 | ff02:c60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff02:c610::/28 | ff02:c61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff02:c620::/28 | ff02:c62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff02:c630::/28 | ff02:c63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff02:c640::/28 | ff02:c64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff02:c650::/28 | ff02:c65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff02:c660::/28 | ff02:c66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff02:c670::/28 | ff02:c67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff02:c680::/28 | ff02:c68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff02:c690::/28 | ff02:c69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff02:c6a0::/28 | ff02:c6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff02:c6b0::/28 | ff02:c6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff02:c6c0::/28 | ff02:c6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff02:c6d0::/28 | ff02:c6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff02:c6e0::/28 | ff02:c6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff02:c6f0::/28 | ff02:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff02:c700::/28 | ff02:c70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff02:c710::/28 | ff02:c71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff02:c720::/28 | ff02:c72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff02:c730::/28 | ff02:c73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff02:c740::/28 | ff02:c74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff02:c750::/28 | ff02:c75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff02:c760::/28 | ff02:c76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff02:c770::/28 | ff02:c77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff02:c780::/28 | ff02:c78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff02:c790::/28 | ff02:c79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff02:c7a0::/28 | ff02:c7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff02:c7b0::/28 | ff02:c7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff02:c7c0::/28 | ff02:c7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff02:c7d0::/28 | ff02:c7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff02:c7e0::/28 | ff02:c7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff02:c7f0::/28 | ff02:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff02:c800::/28 | ff02:c80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff02:c810::/28 | ff02:c81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff02:c820::/28 | ff02:c82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff02:c830::/28 | ff02:c83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff02:c840::/28 | ff02:c84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff02:c850::/28 | ff02:c85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff02:c860::/28 | ff02:c86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff02:c870::/28 | ff02:c87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff02:c880::/28 | ff02:c88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff02:c890::/28 | ff02:c89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff02:c8a0::/28 | ff02:c8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff02:c8b0::/28 | ff02:c8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff02:c8c0::/28 | ff02:c8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff02:c8d0::/28 | ff02:c8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff02:c8e0::/28 | ff02:c8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff02:c8f0::/28 | ff02:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff02:c900::/28 | ff02:c90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff02:c910::/28 | ff02:c91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff02:c920::/28 | ff02:c92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff02:c930::/28 | ff02:c93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff02:c940::/28 | ff02:c94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff02:c950::/28 | ff02:c95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff02:c960::/28 | ff02:c96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff02:c970::/28 | ff02:c97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff02:c980::/28 | ff02:c98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff02:c990::/28 | ff02:c99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff02:c9a0::/28 | ff02:c9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff02:c9b0::/28 | ff02:c9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff02:c9c0::/28 | ff02:c9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff02:c9d0::/28 | ff02:c9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff02:c9e0::/28 | ff02:c9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff02:c9f0::/28 | ff02:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff02:ca00::/28 | ff02:ca0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff02:ca10::/28 | ff02:ca1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff02:ca20::/28 | ff02:ca2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff02:ca30::/28 | ff02:ca3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff02:ca40::/28 | ff02:ca4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff02:ca50::/28 | ff02:ca5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff02:ca60::/28 | ff02:ca6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff02:ca70::/28 | ff02:ca7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff02:ca80::/28 | ff02:ca8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff02:ca90::/28 | ff02:ca9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff02:caa0::/28 | ff02:caaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff02:cab0::/28 | ff02:cabf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff02:cac0::/28 | ff02:cacf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff02:cad0::/28 | ff02:cadf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff02:cae0::/28 | ff02:caef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff02:caf0::/28 | ff02:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff02:cb00::/28 | ff02:cb0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff02:cb10::/28 | ff02:cb1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff02:cb20::/28 | ff02:cb2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff02:cb30::/28 | ff02:cb3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff02:cb40::/28 | ff02:cb4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff02:cb50::/28 | ff02:cb5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff02:cb60::/28 | ff02:cb6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff02:cb70::/28 | ff02:cb7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff02:cb80::/28 | ff02:cb8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff02:cb90::/28 | ff02:cb9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff02:cba0::/28 | ff02:cbaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff02:cbb0::/28 | ff02:cbbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff02:cbc0::/28 | ff02:cbcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff02:cbd0::/28 | ff02:cbdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff02:cbe0::/28 | ff02:cbef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff02:cbf0::/28 | ff02:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff02:cc00::/28 | ff02:cc0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff02:cc10::/28 | ff02:cc1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff02:cc20::/28 | ff02:cc2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff02:cc30::/28 | ff02:cc3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff02:cc40::/28 | ff02:cc4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff02:cc50::/28 | ff02:cc5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff02:cc60::/28 | ff02:cc6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff02:cc70::/28 | ff02:cc7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff02:cc80::/28 | ff02:cc8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff02:cc90::/28 | ff02:cc9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff02:cca0::/28 | ff02:ccaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff02:ccb0::/28 | ff02:ccbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff02:ccc0::/28 | ff02:cccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff02:ccd0::/28 | ff02:ccdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff02:cce0::/28 | ff02:ccef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff02:ccf0::/28 | ff02:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff02:cd00::/28 | ff02:cd0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff02:cd10::/28 | ff02:cd1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff02:cd20::/28 | ff02:cd2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff02:cd30::/28 | ff02:cd3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff02:cd40::/28 | ff02:cd4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff02:cd50::/28 | ff02:cd5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff02:cd60::/28 | ff02:cd6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff02:cd70::/28 | ff02:cd7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff02:cd80::/28 | ff02:cd8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff02:cd90::/28 | ff02:cd9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff02:cda0::/28 | ff02:cdaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff02:cdb0::/28 | ff02:cdbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff02:cdc0::/28 | ff02:cdcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff02:cdd0::/28 | ff02:cddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff02:cde0::/28 | ff02:cdef:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff02:cdf0::/28 | ff02:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff02:ce00::/28 | ff02:ce0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff02:ce10::/28 | ff02:ce1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff02:ce20::/28 | ff02:ce2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff02:ce30::/28 | ff02:ce3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff02:ce40::/28 | ff02:ce4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff02:ce50::/28 | ff02:ce5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff02:ce60::/28 | ff02:ce6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff02:ce70::/28 | ff02:ce7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff02:ce80::/28 | ff02:ce8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff02:ce90::/28 | ff02:ce9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff02:cea0::/28 | ff02:ceaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff02:ceb0::/28 | ff02:cebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff02:cec0::/28 | ff02:cecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff02:ced0::/28 | ff02:cedf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff02:cee0::/28 | ff02:ceef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff02:cef0::/28 | ff02:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff02:cf00::/28 | ff02:cf0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff02:cf10::/28 | ff02:cf1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff02:cf20::/28 | ff02:cf2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff02:cf30::/28 | ff02:cf3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff02:cf40::/28 | ff02:cf4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff02:cf50::/28 | ff02:cf5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff02:cf60::/28 | ff02:cf6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff02:cf70::/28 | ff02:cf7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff02:cf80::/28 | ff02:cf8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff02:cf90::/28 | ff02:cf9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff02:cfa0::/28 | ff02:cfaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff02:cfb0::/28 | ff02:cfbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff02:cfc0::/28 | ff02:cfcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff02:cfd0::/28 | ff02:cfdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff02:cfe0::/28 | ff02:cfef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff02:cff0::/28 | ff02:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |